/*
     Copyright 2007 Joseph M. Ferner

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

using System.IO;

namespace OpenServers.Net.Common.FileSystem {
    /// <summary>
    /// interface for working with files.
    /// </summary>
    public interface IFile : IFileSystemObject {
        /// <summary>
        /// open an input stream.
        /// </summary>
        Stream OpenInputStream();

        /// <summary>
        /// open an output stream.
        /// </summary>
        Stream OpenOutputStream();

        /// <summary>
        /// Gets the size of a file object.
        /// </summary>
        long Size { get; }
    }
}
