/*
     Copyright 2007 Joseph M. Ferner

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

using System;

namespace OpenServers.Net.Common.Utils {
    /// <summary>
    /// collection of methods for working with dates.
    /// </summary>
    public class DateUtils {
        /// <summary>
        /// RFC1123
        /// Format: Mon, 23 May 2005 22:38:34 GMT
        /// </summary>
        public const string HTTP_FORMAT = "r";

        /// <summary>
        /// Format: Mon, 23 May 2005 22:38:34 GMT
        /// </summary>
        public static string ToHttpString(DateTime dateTime) {
            return dateTime.ToString(HTTP_FORMAT);
        }
    }
}
