/*
     Copyright 2007 Joseph M. Ferner

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

using System;
using NUnit.Framework;

namespace OpenServers.Net.Common.FileSystem.Virtual {
    [TestFixture]
    public class VirtualFileTest {
        private VirtualFile _file;

        [SetUp]
        public void SetUp() {
            _file = new VirtualFile(null, "a.txt");
        }

        [Test]
        public void TestOpenInputStream() {
            try {
                _file.OpenInputStream();
                Assert.Fail("should throw an error");
            } catch (NotImplementedException) {
                //ok
            }
        }

        [Test]
        public void TestOpenOutputStream() {
            try {
                _file.OpenOutputStream();
                Assert.Fail("should throw an error");
            } catch (NotImplementedException) {
                //ok
            }
        }

        [Test]
        public void TestSize() {
            try {
                long l = _file.Size;
                Assert.Fail("should throw an error");
            } catch (NotImplementedException) {
                //ok
            }
        }
    }
}
