/*
     Copyright 2007 Joseph M. Ferner

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

using NUnit.Framework;
using OpenServers.Net.Common.FileSystem;
using OpenServers.Net.Common.User;

namespace OpenServers.Net.Common.Security {
    [TestFixture]
    public class OpenSecurityProviderTest {
        private OpenSecurityProvider _securityProvider;
        private IUser _user;
        private IFileSystemObject _fso;

        [SetUp]
        public void SetUp() {
            _user = null;
            _fso = null;
            _securityProvider = new OpenSecurityProvider();
        }

        [Test]
        public void ValidateUser() {
            IUser user = _securityProvider.ValidateUser("test", "pass");
            Assert.IsNotNull(user);
        }

        [Test]
        public void TestCanRead() {
            Assert.IsTrue(_securityProvider.CanRead(_user, _fso));
        }

        [Test]
        public void TestCanWrite() {
            Assert.IsTrue(_securityProvider.CanWrite(_user, _fso));
        }
    }
}
