/*
     Copyright 2007 Joseph M. Ferner

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

using System;
using System.IO;
using NUnit.Framework;

namespace OpenServers.Net.Common.Utils {
    [TestFixture]
    public class StreamUtilsTest {
        [Test]
        public void TestCopyBadArgs1() {
            try {
                StreamUtils.Copy(null, null);
                Assert.Fail("should throw error");
            } catch (ArgumentException) {
                // ok
            }
        }

        [Test]
        public void TestCopyBadArgs2() {
            try {
                StreamUtils.Copy(new MemoryStream(), null);
                Assert.Fail("should throw error");
            } catch (ArgumentException) {
                // ok
            }
        }
    }
}
