/*
     Copyright 2007 Joseph M. Ferner

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

using NMock2;
using NUnit.Framework;

namespace OpenServers.Net.FtpServer.Command {
    [TestFixture]
    public class SystemCommandTest : AbstractCommandTest<SystemCommand> {
        [Test]
        public void TestInvoke() {
            Expect.Once.On(MockFtpServer).GetProperty("SystemTypeString").Will(Return.Value("Win32"));
            Expect.Once.On(MockMessages).Method("Get215").With("Win32");

            PrivateObject.WrappedObject.Invoke(MockFtpServer, State, "");
        }

        [Test]
        public void TestInvokeBadParameter() {
            Expect.Once.On(MockMessages).Method("Get501");

            PrivateObject.WrappedObject.Invoke(MockFtpServer, State, "a");
        }
    }
}
