/*
     Copyright 2007 Joseph M. Ferner

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/


using OpenServers.Net.HttpServer.State;

namespace OpenServers.Net.HttpServer {
    /// <summary>
    /// processes the http request.
    /// </summary>
    public interface IHttpProcessor {
        /// <summary>
        /// called when data is received from the client and the current state is header.
        /// </summary>
        void DataReceived(HttpState state, byte[] buffer, int bytesRead);

        /// <summary>
        /// called when data is received from the client and the current state is body.
        /// </summary>
        void ProcessBody(HttpState state, byte[] buffer, int bytesRead);

        /// <summary>
        /// Sends the response to the client.
        /// </summary>
        void SendResponse(HttpState state);
    }
}
